Debian Bug report logs - #535423
vstream-client: bashism in debian/rules

version graph

Package: vstream-client; Maintainer for vstream-client is Paul Hedderly <prh@debian.org>; Source for vstream-client is src:vstream-client.

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Thu, 2 Jul 2009 01:33:01 UTC

Severity: important

Tags: patch

Found in version vstream-client/1.2-6

Fixed in version vstream-client/1.2-6.1

Done: Jari Aalto <jari.aalto@cante.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Paul Hedderly <prh@debian.org>:
Bug#535423; Package vstream-client. (Thu, 02 Jul 2009 01:33:03 GMT) Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: vstream-client: bashism in debian/rules
Date: Wed, 1 Jul 2009 20:23:44 -0500
Source:  vstream-client
Version: 1.2-6
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While performing an archive wide checkbashisms (from the 'devscripts' package)
check I've found your package containing a /bin/sh script making use
of a bashism.

checkbashisms' output:
> possible bashism in vstream-client/rules line 67 (brace expansion):
>         rm -f *.so{,.1} *.o *.a *~ vstream-client vstream-client.exe


Not using bash (or a Debian Policy conformant shell interpreter which doesn't
provide such an extra feature) as /bin/sh is likely to lead to errors or
unexpected behaviours.
Please be aware that although bash is currently the default /bin/sh there was
a release goal for Lenny to make dash the default /bin/sh[1], and has been
proposed for squeeze as well[2][3].

If you want more information about dash as /bin/sh, you can read:
http://lists.debian.org/debian-release/2008/01/msg00189.html

For more information supporting this goal please refer to Debian Policy,
section 10.4, at:
http://www.debian.org/doc/debian-policy/ch-files.html#s-scripts

Hints about how to fix bashisms:
Sometimes these bugs are already fixed in Ubuntu, look at the PTS.
If not already fixed you can read:
https://wiki.ubuntu.com/DashAsBinSh

If you still don't know how to fix the bashisms don't hesitate to reply to
this email, or tag the bug as 'help'.

[1]http://release.debian.org/lenny/goals.txt
[2]http://lists.debian.org/debian-release/2009/04/msg00133.html
[3]http://lists.debian.org/debian-devel/2009/06/msg00767.html

Thank you,
Raphael Geissert




Information forwarded to debian-bugs-dist@lists.debian.org, Paul Hedderly <prh@debian.org>:
Bug#535423; Package vstream-client. (Sun, 14 Mar 2010 08:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to taz <neverlock@gmail.com>:
Extra info received and forwarded to list. Copy sent to Paul Hedderly <prh@debian.org>. (Sun, 14 Mar 2010 08:42:04 GMT) Full text and rfc822 format available.

Message #8 received at 535423@bugs.debian.org (full text, mbox):

From: taz <neverlock@gmail.com>
To: Debian Bug Tracking System <535423@bugs.debian.org>
Subject: Re: bashism in debian/rules
Date: Sun, 14 Mar 2010 15:38:20 +0700
[Message part 1 (text/plain, inline)]
Package: vstream-client
Severity: normal

Hello maintainer,

I have been fix bashism in debian/rules 
and patch is in attach file

Thank you
Chanchai Junlouchai

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[535423.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Chanchai Junlouchai <neverlock@gmail.com> to control@bugs.debian.org. (Sun, 14 Mar 2010 09:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Paul Hedderly <prh@debian.org>:
Bug#535423; Package vstream-client. (Sun, 14 Mar 2010 16:33:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Hedderly <paul@mjr.org>:
Extra info received and forwarded to list. Copy sent to Paul Hedderly <prh@debian.org>. (Sun, 14 Mar 2010 16:33:22 GMT) Full text and rfc822 format available.

Message #15 received at 535423@bugs.debian.org (full text, mbox):

From: Paul Hedderly <paul@mjr.org>
To: taz <neverlock@gmail.com>, 535423@bugs.debian.org
Subject: Re: Bug#535423: bashism in debian/rules
Date: Sun, 14 Mar 2010 16:28:04 +0000
[Message part 1 (text/plain, inline)]
Cheers Ill take a look.

----- Original message -----
> Package: vstream-client
> Severity: normal
>
> Hello maintainer,
>
> I have been fix bashism in debian/rules
> and patch is in attach file
>
> Thank you
> Chanchai Junlouchai
>
> -- System Information:
> Debian Release: squeeze/sid
>    APT prefers unstable
>    APT policy: (500, 'unstable')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash

<Attachment>  535423.diff

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Paul Hedderly <prh@debian.org>:
Bug#535423; Package vstream-client. (Sat, 23 Oct 2010 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Paul Hedderly <prh@debian.org>. (Sat, 23 Oct 2010 16:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 535423@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 535423@bugs.debian.org
Subject: Bug#535423: Intent to NMU (vstream-client: bashism in debian/rules)
Date: Sat, 23 Oct 2010 19:32:00 +0300
I have some free time and I am offering help.

Please let me know if this bug is already been worked on or if it's okay
to NMU the package.




Information forwarded to debian-bugs-dist@lists.debian.org, Paul Hedderly <prh@debian.org>:
Bug#535423; Package vstream-client. (Sun, 24 Oct 2010 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jari.aalto@cante.net:
Extra info received and forwarded to list. Copy sent to Paul Hedderly <prh@debian.org>. (Sun, 24 Oct 2010 08:06:03 GMT) Full text and rfc822 format available.

Message #25 received at 535423@bugs.debian.org (full text, mbox):

From: jari.aalto@cante.net
To: 535423@bugs.debian.org
Subject: Bug#535423 vstream-client: NMU diff for 1.2-6.1
Date: Sun, 24 Oct 2010 11:02:53 +0300
[Message part 1 (text/plain, inline)]
Dear maintainer,

Here is the NMU diff according to DevRef 5.11.1[1][2] for bug: #535423.

Please let me know if any chnages are needed or if it is ok to proceed
with the NMU.

Thank you for maintaining the package,
Jari Aalto

[1] http://www.debian.org/doc/developers-reference/pkgs.html#nmu
[2] http://dep.debian.net/deps/dep1.html

lsdiff(1) of changes:

    vstream-client-1.2/debian/changelog
    vstream-client-1.2/debian/control
    vstream-client-1.2/debian/copyright
    vstream-client-1.2/debian/rules
    vstream-client-1.2/debian/source/format
    vstream-client-1.2/debian/upstream.changelog
    vstream-client-1.2/debian/watch

[vstream-client_1.2-6--1.2-6.1.deb.diff (text/x-diff, inline)]
diffstat for vstream-client-1.2 vstream-client-1.2

 changelog          |   37 ++++++++++++++++++++++++++++++++++++-
 control            |   12 ++++++------
 copyright          |   48 ++++++++++++++++++++++++++----------------------
 rules              |   12 +++++++++---
 source/format      |    1 +
 upstream.changelog |   17 +++++++++++++++++
 watch              |    3 +++
 7 files changed, 98 insertions(+), 32 deletions(-)

diff -Nru vstream-client-1.2/debian/changelog vstream-client-1.2/debian/changelog
--- vstream-client-1.2/debian/changelog	2010-10-24 11:01:32.000000000 +0300
+++ vstream-client-1.2/debian/changelog	2010-10-24 10:54:03.000000000 +0300
@@ -1,7 +1,42 @@
+vstream-client (1.2-6.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+    - Move to packaging format "3.0 (quilt)"
+  * debian/compat
+    - Update to 8.
+  * debian/chnagelog
+    - Fix off by 1 bug number in " -dev does not need...".
+  * debian/control
+    - (Build-Depends): Update to debhelper 8.
+    - (Homepage): Update to current URL.
+    - (Standards-Version): Update to 3.9.1.
+    - (Depends): Add ${misc:Depends}.
+    - (vstream-client::Section): Remove inherited field.
+    - (Vsc-*): Move info from 'XS-VCS-GIT'.
+    - (XS-VCS-GIT): Delete.
+  * debian/copyright
+    - Point to GPL-2. Update layout. Remove URLs that no longer exist.
+    - Update upstream homepage URL.
+  * debian/rules
+    - (binary-arch): Update dh_installchangelogs to use $(CHANGELOG).
+    - (get-changelog): New. Download download upstream change history.
+    - (clean): Fix bashism. Change rm -f *.so{,.1} to "rm -f *.so *.so.1".
+      Patch thanks to Chanchai Junlouchai <neverlock@gmail.com>
+      (important; Closes: #535423).
+    - (install) Update to dh_prep.
+  * debian/source/format
+    - New file.
+  * debian/upstream.changelog
+    - New file.
+  * debian/watch
+    - New file.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Sun, 24 Oct 2010 10:54:03 +0300
+
 vstream-client (1.2-6) unstable; urgency=low
 
   * Replaces older version to (Closes: #496884)
-  * -dev does not need to depend on -client (Closes: #496884)
+  * -dev does not need to depend on -client (Closes: #496885)
 
  -- Paul Hedderly <prh@debian.org>  Fri, 29 Aug 2008 06:26:03 +0100
 
diff -Nru vstream-client-1.2/debian/control vstream-client-1.2/debian/control
--- vstream-client-1.2/debian/control	2010-10-24 11:01:32.000000000 +0300
+++ vstream-client-1.2/debian/control	2010-10-24 10:31:08.000000000 +0300
@@ -1,14 +1,14 @@
 Source: vstream-client
 Priority: extra
 Maintainer: Paul Hedderly <prh@debian.org>
-Build-Depends: debhelper (>= 6), autotools-dev
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 8), autotools-dev
+Standards-Version: 3.9.1
+Vcs-Browser: http://git.debian.org/?p=collab-maint/vstream-client.git
+Vcs-Git: git://git.debian.org/git/collab-maint/vstream-client.git
 Section: libs
-Homepage: http://armory.nicewarrior.org/projects/vstream-client/
-XS-VCS-GIT: git://git.debian.org/collab-maint/vstream-client.git
+Homepage: http://code.google.com/p/vstream-client
 
 Package: vstream-client
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libvstream-dev
@@ -26,7 +26,7 @@
 Package: vstream-client-dev
 Section: libdevel
 Architecture: any
-Depends: 
+Depends: ${misc:Depends}
 Conflicts: libvstream-dev
 Replaces: vstream-client (<= 1.2-4)
 Description: Development headers for vstream-client
diff -Nru vstream-client-1.2/debian/copyright vstream-client-1.2/debian/copyright
--- vstream-client-1.2/debian/copyright	2010-10-24 11:01:32.000000000 +0300
+++ vstream-client-1.2/debian/copyright	2010-10-24 10:20:47.000000000 +0300
@@ -1,22 +1,23 @@
-This package was debianized by Paul Hedderly <prh@debian.org> on
-Fri, 16 May 2008 00:28:14 +0100.
+This package was debianized by:
 
-It was downloaded from http://www.exit.com/Archives/FreeBSD/
-The original (though broken) site is http://armory.nicewarrior.org/projects/vstream-client/
-The source with Debian changes is stored in a git archive and can be fetched with:
-	git clone git://git.debian.org/git/<group>/<project>.git
+    Paul Hedderly <prh@debian.org> on
+    2008-05-16 00:28:14 +0100 Fri.
 
-Upstream Authors: 
+It was downloaded from
+
+    http://code.google.com/p/vstream-client
+
+Upstream Authors:
 
     Christopher R. Wingert <tivo@wingert.org>
     Gary S. Brown. <unknown>
-		<tridge@samba.org>
+    <tridge@samba.org>
 
-Copyright: 
+Copyright:
 
-    Copyright 2003 Christopher R. Wingert <tivo@wingert.org>
-    Copyright 1986 Gary S. Brown. <unknown>
-		Copyright 1996, 2001 <tridge@samba.org>
+    Copyright (C) 2003 Christopher R. Wingert <tivo@wingert.org>
+    Copyright (C) 1986 Gary S. Brown. <unknown>
+    Copyright (C) 1996, 2001 <tridge@samba.org>
 
 License:
 
@@ -24,22 +25,25 @@
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.
- 
+
     This package is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
     GNU General Public License for more details.
- 
+
     You should have received a copy of the GNU General Public License
-    along with this package; if not, write to the Free Software
-    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+    along with this program. If not, see <http://www.gnu.org/licenses/>.
 
-		SOME parts are licensed under the GPL (version 1) and another (crc.c)
-		is licenced without any restriction.
+                SOME parts are licensed under the GPL (version 1) and another (crc.c)
+                is licenced without any restriction.
 
 On Debian systems, the complete text of the GNU General
-Public License can be found in `/usr/share/common-licenses/GPL'.
+Public License can be found in "/usr/share/common-licenses/GPL-2".
+
+The Debian packaging is:
+
+    Copyright (C) 2008 Paul Hedderly <prh@debian.org>
 
-The Debian packaging is (C) 2008, Paul Hedderly <prh@debian.org> and
-is licensed under the GPL, see above.
+and is licensed under the GPL version 2 or any later version, see
+above.
 
diff -Nru vstream-client-1.2/debian/rules vstream-client-1.2/debian/rules
--- vstream-client-1.2/debian/rules	2010-10-24 11:01:32.000000000 +0300
+++ vstream-client-1.2/debian/rules	2010-10-24 10:53:42.000000000 +0300
@@ -46,6 +46,12 @@
 
 #CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 
+CHANGELOG = debian/upstream.changelog
+
+# Run manually
+get-changelog:
+	svn log http://vstream-client.googlecode.com/svn/trunk/ \
+	> $(CHANGELOG)
 
 build: build-stamp
 build-stamp:  config.status 
@@ -64,7 +70,7 @@
 	# Add here commands to clean up after the build process.
 	#[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f config.mak config.sub config.guess
-	rm -f *.so{,.1} *.o *.a *~ vstream-client vstream-client.exe
+	rm -f *.so *.so.1 *.o *.a *~ vstream-client vstream-client.exe
 
 
 	dh_clean 
@@ -72,7 +78,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp
@@ -89,7 +95,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs $(CHANGELOG)
 	dh_installdocs
 	dh_installexamples
 	dh_install
diff -Nru vstream-client-1.2/debian/source/format vstream-client-1.2/debian/source/format
--- vstream-client-1.2/debian/source/format	1970-01-01 02:00:00.000000000 +0200
+++ vstream-client-1.2/debian/source/format	2010-10-24 10:40:09.000000000 +0300
@@ -0,0 +1 @@
+3.0 (quilt)
diff -Nru vstream-client-1.2/debian/upstream.changelog vstream-client-1.2/debian/upstream.changelog
--- vstream-client-1.2/debian/upstream.changelog	1970-01-01 02:00:00.000000000 +0200
+++ vstream-client-1.2/debian/upstream.changelog	2010-10-24 10:38:01.000000000 +0300
@@ -0,0 +1,17 @@
+------------------------------------------------------------------------
+r7 | dave@stilldesigning.com | 2007-11-20 20:08:30 +0200 (Tue, 20 Nov 2007) | 1 line
+
+revert changes to vstream.c and remove vstream_out function to maintain compatibility with existing 3rd part apps like MPlayer
+------------------------------------------------------------------------
+r4 | dave@stilldesigning.com | 2007-11-18 00:31:09 +0200 (Sun, 18 Nov 2007) | 1 line
+
+add support for stdout
+------------------------------------------------------------------------
+r2 | dave@stilldesigning.com | 2007-11-18 00:23:37 +0200 (Sun, 18 Nov 2007) | 1 line
+
+vstream-client 1.2
+------------------------------------------------------------------------
+r1 | (no author) | 2007-11-18 00:13:36 +0200 (Sun, 18 Nov 2007) | 1 line
+
+Initial directory structure.
+------------------------------------------------------------------------
diff -Nru vstream-client-1.2/debian/watch vstream-client-1.2/debian/watch
--- vstream-client-1.2/debian/watch	1970-01-01 02:00:00.000000000 +0200
+++ vstream-client-1.2/debian/watch	2010-10-24 10:31:08.000000000 +0300
@@ -0,0 +1,3 @@
+version=3
+http://code.google.com/p/vstream-client/downloads/list \
+ .*vstream-client-([\d.]+).*\.tar\.bz2

Information forwarded to debian-bugs-dist@lists.debian.org, Paul Hedderly <prh@debian.org>:
Bug#535423; Package vstream-client. (Sat, 19 Nov 2011 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tmancill@debian.org>:
Extra info received and forwarded to list. Copy sent to Paul Hedderly <prh@debian.org>. (Sat, 19 Nov 2011 06:33:03 GMT) Full text and rfc822 format available.

Message #30 received at 535423@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: prh@debian.org
Cc: 535423@bugs.debian.org, "Jari Aalto+mail. linux" <jari.aalto@cante.net>
Subject: NMU of vstream-client uploaded to delayed/14
Date: Fri, 18 Nov 2011 22:32:13 -0800
[Message part 1 (text/plain, inline)]
Dear Maintainer,

I have sponsored an NMU upload of vstream-client_1.2-6.1 to the delayed
queue based on the patch Jari Aalto submitted to the BTS over a year
ago.  You may note from the changelog (reproduced below) that the upload
includes freshening of the packaging in addition to addressing #535423.
 If you have any concerns about the NMU and would like me to remove it
from the queue, please respond and I will be happy to do so.

Thank you,
tony mancill

>  vstream-client (1.2-6.1) unstable; urgency=low
>  .
>    * Non-maintainer upload.
>      - Move to packaging format "3.0 (quilt)"
>    * debian/compat
>      - Update to 8.
>    * debian/chnagelog
>      - Fix off by 1 bug number in " -dev does not need...".
>    * debian/control
>      - (Build-Depends): Update to debhelper 8.
>      - (Homepage): Update to current URL.
>      - (Standards-Version): Update to 3.9.2.
>      - (Depends): Add ${misc:Depends}.
>      - (vstream-client::Description): Remove article (Lintian).
>      - (vstream-client::Section): Remove inherited field.
>      - (Vsc-*): Move info from 'XS-VCS-GIT'.
>      - (XS-VCS-GIT): Delete.
>    * debian/copyright
>      - Point to GPL-2. Update layout. Remove URLs that no longer exist.
>      - Update upstream homepage URL.
>    * debian/rules
>      - Run configure with CC=gcc.
>      - (binary-arch): Update dh_installchangelogs to use $(CHANGELOG).
>      - (build-arch, build-indep): Add (Lintian).
>      - (get-changelog): New. Download download upstream change history.
>      - (clean): Fix bashism. Change rm -f *.so{,.1} to "rm -f *.so *.so.1".
>        Patch thanks to Chanchai Junlouchai <neverlock@gmail.com>
>        (important; Closes: #535423).
>      - (install) Update to dh_prep.
>    * debian/source/format
>      - New file.
>    * debian/upstream.changelog
>      - New file.
>    * debian/watch
>      - New file.

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Jari Aalto <jari.aalto@cante.net>:
You have taken responsibility. (Sat, 03 Dec 2011 07:21:09 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. (Sat, 03 Dec 2011 07:21:09 GMT) Full text and rfc822 format available.

Message #35 received at 535423-close@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 535423-close@bugs.debian.org
Subject: Bug#535423: fixed in vstream-client 1.2-6.1
Date: Sat, 03 Dec 2011 07:19:16 +0000
Source: vstream-client
Source-Version: 1.2-6.1

We believe that the bug you reported is fixed in the latest version of
vstream-client, which is due to be installed in the Debian FTP archive:

vstream-client-dev_1.2-6.1_amd64.deb
  to main/v/vstream-client/vstream-client-dev_1.2-6.1_amd64.deb
vstream-client_1.2-6.1.debian.tar.gz
  to main/v/vstream-client/vstream-client_1.2-6.1.debian.tar.gz
vstream-client_1.2-6.1.dsc
  to main/v/vstream-client/vstream-client_1.2-6.1.dsc
vstream-client_1.2-6.1_amd64.deb
  to main/v/vstream-client/vstream-client_1.2-6.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 535423@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jari Aalto <jari.aalto@cante.net> (supplier of updated vstream-client package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 18 Nov 2011 21:45:33 +0200
Source: vstream-client
Binary: vstream-client vstream-client-dev
Architecture: source amd64
Version: 1.2-6.1
Distribution: unstable
Urgency: low
Maintainer: Paul Hedderly <prh@debian.org>
Changed-By: Jari Aalto <jari.aalto@cante.net>
Description: 
 vstream-client - library and utility to fetch media streams from a TIVO
 vstream-client-dev - Development headers for vstream-client
Closes: 535423
Changes: 
 vstream-client (1.2-6.1) unstable; urgency=low
 .
   * Non-maintainer upload.
     - Move to packaging format "3.0 (quilt)"
   * debian/compat
     - Update to 8.
   * debian/chnagelog
     - Fix off by 1 bug number in " -dev does not need...".
   * debian/control
     - (Build-Depends): Update to debhelper 8.
     - (Homepage): Update to current URL.
     - (Standards-Version): Update to 3.9.2.
     - (Depends): Add ${misc:Depends}.
     - (vstream-client::Description): Remove article (Lintian).
     - (vstream-client::Section): Remove inherited field.
     - (Vsc-*): Move info from 'XS-VCS-GIT'.
     - (XS-VCS-GIT): Delete.
   * debian/copyright
     - Point to GPL-2. Update layout. Remove URLs that no longer exist.
     - Update upstream homepage URL.
   * debian/rules
     - Run configure with CC=gcc.
     - (binary-arch): Update dh_installchangelogs to use $(CHANGELOG).
     - (build-arch, build-indep): Add (Lintian).
     - (get-changelog): New. Download download upstream change history.
     - (clean): Fix bashism. Change rm -f *.so{,.1} to "rm -f *.so *.so.1".
       Patch thanks to Chanchai Junlouchai <neverlock@gmail.com>
       (important; Closes: #535423).
     - (install) Update to dh_prep.
   * debian/source/format
     - New file.
   * debian/upstream.changelog
     - New file.
   * debian/watch
     - New file.
Checksums-Sha1: 
 99351e12531e84003ed534731c083eca19c12e91 1956 vstream-client_1.2-6.1.dsc
 77971a1333b2b411064b0071d9d45a70b5e44a69 5332 vstream-client_1.2-6.1.debian.tar.gz
 faa0681340932a71f242ee8b64bf684895a8284d 33720 vstream-client_1.2-6.1_amd64.deb
 53e574e8c14336190a9cf76f7f2d9d8a2da01a85 54928 vstream-client-dev_1.2-6.1_amd64.deb
Checksums-Sha256: 
 be7e801c82be4d928baf75d1a04b144706a4373fea7d151e581fffdaf0351901 1956 vstream-client_1.2-6.1.dsc
 007fac876f5f1cd89b125553e4126927eacf364c10698a58f69641af11f28747 5332 vstream-client_1.2-6.1.debian.tar.gz
 c166cf988bce3fe16e1679808b87578f01dd9c60b4a164ab22db1fc5b5c76dfd 33720 vstream-client_1.2-6.1_amd64.deb
 04953a64443c368e0cfd8e3d257305be5a105283f40fb042524829d8ab065947 54928 vstream-client-dev_1.2-6.1_amd64.deb
Files: 
 5938f99c75f0460c939c06e525181b48 1956 libs extra vstream-client_1.2-6.1.dsc
 35a4bbb3ebffd6224d54af318e6fe5c3 5332 libs extra vstream-client_1.2-6.1.debian.tar.gz
 737f24281992f64f012c9e558ba8da47 33720 libs extra vstream-client_1.2-6.1_amd64.deb
 8ed13b52a82289eb21c092fb41ef7569 54928 libdevel extra vstream-client-dev_1.2-6.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJOx0qJAAoJECHSBYmXSz6WAOUP/jYCjyJWd1WoTBIKYBtMyD08
hxk0IUEff6M5nc46ODqPLFiVCoPSAlIkEYHVrlZG6a9qzYqBzlR9CWRJnjOCgGl6
tiIjgX1oPewRp2z0o+1bW85ucRbgVziqZrOioN4VcxeQLrCBFmdBDw10M0WBfZcJ
lSHLHq/O/J/N8hSazQtGd3EwabwQm1RLQOfw6SFros0vl6j9lmbVa2TYFp5WE8RA
9RfeIu93/x9Jzq6Vs3cfnbGTwvSpTVVmbvX3RuDq7KZJEG1bLt2VEgsQkHKSjoNb
a1ExaKwU6hc14FyUBjMavLKAeAMJVrdEC0oN/Mrq+Yuvjks4ksFnDHzMtHhN5XE3
B2/IL2yUWZdIMQsoS6jd8IP4SHqN+PS9yT2cDxZhNMc0xSIb5prtcjnqzo78YLAt
lCmCPL5Uqgk8EIcttMcaBcN+dpbSkaOrooePM9JgsJkKATP0qNi4OrHdRtcAjasI
SXpojy3Lh2U/FL4BoSEb12m3Ec+o2QfVo2Ptn/mfOnOW4fMMxH9D8/5Ry7dwOlp7
h4jzbgIEEzS/7C4OERVJk8JR1PQcGjLOtinvRWAZPKbZSGrBVnOkCxk9xYpJkXL2
ucXq4zIE7CAUgecMXHN3Jq3d2T6a0ty5Ds8Hj0oO1ZMyikDajXgquSQSfPIZrr1w
mol+J5tJP69CXmiq12PQ
=5O4/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Jan 2012 07:34:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:42:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.